org.jboss.resteasy.cdi

## Class JaxrsAnnotatedType<TYPE>

- java.lang.Object
- - org.jboss.resteasy.cdi.JaxrsAnnotatedType<TYPE>

- All Implemented Interfaces:
    javax.enterprise.inject.spi.Annotated, javax.enterprise.inject.spi.AnnotatedType<TYPE>

      public class JaxrsAnnotatedType<TYPE>
      extends Object
      implements javax.enterprise.inject.spi.AnnotatedType<TYPE>

  This wrapper allows additional metadata to be added during bootstrap.
  Author:
    Jozef Hartinger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsAnnotatedType(javax.enterprise.inject.spi.AnnotatedType<TYPE> delegate, Annotation scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationType)`
    `Set<Annotation>` | `getAnnotations()`
    `Type` | `getBaseType()`
    `Set<javax.enterprise.inject.spi.AnnotatedConstructor<TYPE>>` | `getConstructors()`
    `Set<javax.enterprise.inject.spi.AnnotatedField<? super TYPE>>` | `getFields()`
    `Class<TYPE>` | `getJavaClass()`
    `Set<javax.enterprise.inject.spi.AnnotatedMethod<? super TYPE>>` | `getMethods()`
    `Set<Type>` | `getTypeClosure()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsAnnotatedType

          public JaxrsAnnotatedType(javax.enterprise.inject.spi.AnnotatedType<TYPE> delegate,
                            Annotation scope)

  - ### Method Detail

    - #### getConstructors

          public Set<javax.enterprise.inject.spi.AnnotatedConstructor<TYPE>> getConstructors()

      Specified by:
        `getConstructors` in interface `javax.enterprise.inject.spi.AnnotatedType<TYPE>`

    - #### getFields

          public Set<javax.enterprise.inject.spi.AnnotatedField<? super TYPE>> getFields()

      Specified by:
        `getFields` in interface `javax.enterprise.inject.spi.AnnotatedType<TYPE>`

    - #### getJavaClass

          public Class<TYPE> getJavaClass()

      Specified by:
        `getJavaClass` in interface `javax.enterprise.inject.spi.AnnotatedType<TYPE>`

    - #### getMethods

          public Set<javax.enterprise.inject.spi.AnnotatedMethod<? super TYPE>> getMethods()

      Specified by:
        `getMethods` in interface `javax.enterprise.inject.spi.AnnotatedType<TYPE>`

    - #### getAnnotation

          public <T extends Annotation> T getAnnotation(Class<T> annotationType)

      Specified by:
        `getAnnotation` in interface `javax.enterprise.inject.spi.Annotated`

    - #### getAnnotations

          public Set<Annotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `javax.enterprise.inject.spi.Annotated`

    - #### getBaseType

          public Type getBaseType()

      Specified by:
        `getBaseType` in interface `javax.enterprise.inject.spi.Annotated`

    - #### getTypeClosure

          public Set<Type> getTypeClosure()

      Specified by:
        `getTypeClosure` in interface `javax.enterprise.inject.spi.Annotated`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

      Specified by:
        `isAnnotationPresent` in interface `javax.enterprise.inject.spi.Annotated`

Copyright © 2014. All Rights Reserved.